  use32 		;  32- ० ᥬ
  org	 0		;   

  db	 'MENUET01'	; 8- 䨪 MenuetOS
  dd	 1		;   (ᥣ 1)
  dd	 start		;  ࢮ 
  dd	 i_end		; ࠧ ணࠬ
  dd	 mem		; ⢮ 
  dd	 stack_top	;  設 
  dd	 0		;    ࠬ஢
  dd	 0		;       ⮩ ண

include 'include/macros.inc'
include 'include/proc32.inc'
include 'include/debug.inc'

ZPOS_NORMAL		= 0
ZPOS_ALWAYS_BACK	= 1
ZPOS_DESKTOP		= 2
ZPOS_ALWAYS_TOP 	= 3


start:
	mcall	68,11	;InitHeap
	mcall	40,100111b	;SetMaskMessage


redraw:
	mcall	48,3,sc,40
	mcall	12,1

	mov	edx,[sc.work]
	or	edx,33000000h
	mcall	0,<200,120>,<200,140>,,0,title

	mcall	8,<5,100>,<5,30>,2,[sc.work_button]
	mcall	 ,	 ,<40,30>,3,
	mcall	 ,	 ,<75,30>,4,[sc.work_button]

	mov	ecx,[sc.work_button_text]
	or	ecx,80000000h
	mcall	4,<20,16>,,captBtnUP
	mcall	 ,<25,51>,,captBtnNRM
	mcall	 ,<20,86>,,captBtnBCK

	mcall	12,2

messages:
	mcall	10
	;mcall   23,5   ;  ⠩⮬  0.05 ᥪ

	dec	eax
	jz	redraw
	dec	eax
	jz	key
	dec	eax
	jz	button


	jmp	messages


;---------------------------------------------------------------------
key:		      ;    
	mcall	2	      ; 㭪 2 -   ᨬ ( ah)

	jmp	messages	  ;   砫 横


;---------------------------------------------------------------------
button:
	mcall	17

	dec	ah
	jz	exit
	dec	ah
	jz	Go
	dec	ah
	jz	Go2
	dec	ah
	jz	Go3
	jmp	messages
;-------------------------------------------------------------------------------
mouse:
	;mcall   37,0 ᮫ न 
	;mcall   37,1 ⭮⥫쭮 
	;mcall   37,2 
	jmp	messages
;-------------------------------------------------------------------------------

exit:
	mcall	-1


Go:
				;Set my z-position
	mcall	18,25,2,-1,ZPOS_ALWAYS_TOP
	dph eax
	dnl

	mcall	18,25,1,-1	;get my z-position
	dph eax
	dnl

	jmp	messages

Go2:
				;Set my z-position
	mcall	18,25,2,-1,ZPOS_NORMAL
	dph eax
	dnl

	mcall	18,25,1,-1	;get my z-position
	dph eax
	dnl

	jmp	messages

Go3:
				;Set my z-position
	mcall	18,25,2,-1,ZPOS_ALWAYS_BACK
	dph eax
	dnl

	mcall	18,25,1,-1	;get my z-position
	dph eax
	dnl

	jmp	messages


;---------------------------------------------------------------------
;---    --------------------------------------------------------
;---------------------------------------------------------------------
title		db 'Program',0

captBtnUP	db ' ',0
captBtnNRM	db ' ',0
captBtnBCK	db ' ',0

i_end:

;-------------------------------------------------------------------------------
;--------- 樠஢  ணࠬ--------------------------------
;-------------------------------------------------------------------------------
sc system_colors

	rd 1024    ;stack
stack_top:

mem:

